/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   iter.hpp                                           :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2025/04/09 14:56:23 by adjoly            #+#    #+#             */
/*   Updated: 2025/04/19 19:25:36 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#pragma once

template<typename T> void	iter(T *arr, int len, void(*func)(T &)) {
	for (int i = 0; i< len; i++) {
		func(arr[i]);
	}
}

template<typename T> void	iter(const T *arr, int len, void(*func)(const T &)) {
	for (int i = 0; i< len; i++) {
		func(arr[i]);
	}
}
